Package org.apache.commons.math3.util

# Interface IterationListener

All Superinterfaces:
  `EventListener`

public interface IterationListener extends EventListener
The listener interface for receiving events occurring in an iterative algorithm.

## Method Summary

Modifier and Type
Method
Description
`void`
`initializationPerformed(IterationEvent e)`
Invoked after completion of the initial phase of the iterative algorithm (prior to the main iteration loop).
`void`
`iterationPerformed(IterationEvent e)`
Invoked each time an iteration is completed (in the main iteration loop).
`void`
`iterationStarted(IterationEvent e)`
Invoked each time a new iteration is completed (in the main iteration loop).
`void`
`terminationPerformed(IterationEvent e)`
Invoked after completion of the operations which occur after breaking out of the main iteration loop.

## Method Details

### initializationPerformed

void initializationPerformed(IterationEvent e)
Invoked after completion of the initial phase of the iterative algorithm (prior to the main iteration loop).

Parameters:
  `e` - The `IterationEvent` object.

### iterationPerformed

void iterationPerformed(IterationEvent e)
Invoked each time an iteration is completed (in the main iteration loop).

Parameters:
  `e` - The `IterationEvent` object.

### iterationStarted

void iterationStarted(IterationEvent e)
Invoked each time a new iteration is completed (in the main iteration loop).

Parameters:
  `e` - The `IterationEvent` object.

### terminationPerformed

void terminationPerformed(IterationEvent e)
Invoked after completion of the operations which occur after breaking out of the main iteration loop.

Parameters:
  `e` - The `IterationEvent` object.